# Get vehicles CO2 insight

Get the trips a vehicle has done by a date range

Endpoint: POST /insights/vehicles/CO2:byDateRange
Version: 0.9.74
Security: bearer, apiKey, apiSecret

## Header parameters:

  - `Authorization` (string, required)

## Request fields (application/json):

  - `type` (string)

  - `vehicles` (array)

  - `startDate` (string)

  - `endDate` (string)

## Response 200 fields (application/json):

  - `success` (boolean)

  - `message` (string)

  - `code` (integer)

  - `table` (object)

  - `table.name` (string)

  - `table.values` (array)

  - `table.values.values` (array)

  - `table.values.values.name` (string)

  - `table.values.values.type` (string)
    Enum: "constant", "string", "integer", "float", "datetime", "duration", "date", "time", "boolean", "object", "array", "filters", "table"

  - `table.values.values.value` (object)

  - `table.values.values.defaultValue` (object)

  - `table.values.values.size` (string)

  - `table.values.order` (integer)

  - `table.resultRow` (object)

  - `type` (string)
    Enum: "table", "multiTable"

## Response 400 fields (application/json):

  - `success` (boolean)

  - `message` (string)

  - `code` (integer)

  - `errors` (array)

  - `suggestion` (string)


